#
# spec file for package systemtap (Version 0.7.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           systemtap
BuildRequires:  gcc-c++ glib2-devel libcap-devel libebl-devel pkg-config sqlite-devel
# for documents
BuildRequires:  latex2html
%define package_version  20080906
License:        GPL v2 or later
Version:        0.7.1
Release:        25
Summary:        Instrumentation System
Group:          Development/Tools/Debuggers
Url:            http://sourceware.org/systemtap/
# Requires: kernel-source gcc make
# Suggest: kernel-smp-debuginfo
Source:         ftp://sources.redhat.com/pub/systemtap/snapshots/systemtap-%{package_version}.tar.bz2
Patch:          systemtap-docdir-fix.diff
Patch1:         systemtap-old-autoconf-fix.diff
Patch2:         stap-fix-dump_unwindsyms.patch
Patch3:         systemtap-parameter-bound-check.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SystemTap is an instrumentation system for systems running Linux 2.6.
Developers can write instrumentation to collect data on the operation
of the system.



Authors:
--------
    Frank Ch. Eigler <fche@redhat.com>
    Graydon Hoare <graydon@redhat.com>
    Martin Hunt <hunt@redhat.com>
    Tom Zanussi <zanussi@us.ibm.com>

%prep
# %setup -n %{name}-%{package_version} -q -a1
%setup -n src -q
%patch
%if %suse_version < 1020
%patch1
%endif
%patch2 -p1
%patch3

%build
autoreconf -fi
%configure --docdir=%{_docdir}
make %{?jobs:-j %jobs}

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/var/cache/systemtap
cp README AUTHORS NEWS COPYING $RPM_BUILD_ROOT%{_docdir}/systemtap/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc %{_docdir}/systemtap
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/systemtap
%{_datadir}/systemtap
%dir %attr(0755,root,root) /var/cache/systemtap

%changelog
* Fri Nov 21 2008 tiwai@suse.de
- Add the bound check of parameters to fix segfault (bnc#447551)
* Tue Nov 04 2008 tiwai@suse.de
- Fix systemtap assertion with CONFIG_RELOCATABLE (bnc#440351)
* Thu Sep 11 2008 tiwai@suse.de
- updated to snapshot 20080906
  * Fix / clean up autotools stuff
  * Ugly workaround for 2.6.27 and later kernel
  * stap-server updates
  * Lots of small fixes
* Tue Aug 12 2008 tiwai@suse.de
- updated to snapshot 20080809
  * bump to 0.7.1
  * tutorials
  * examples
  * i386-fix merged
  * previous patches are all merged in
- add latex2html to buildrequires for generating documents
* Fri Jun 20 2008 tiwai@suse.de
- fix run on i386 (bnc#401970)
- don't include obsolete linux/compile.h.
* Wed Jun 18 2008 tiwai@suse.de
- updated to snapshot 20080614:
  * bump to version 0.7, man page updates, misc fixes
  see ChangeLog for details
* Fri Mar 14 2008 tiwai@suse.de
- updated to snapshot 20080308:
  * configure fixes, compile option changes
  * fixes for 2.6.25 kernel
* Wed Jan 30 2008 tiwai@suse.de
- updated to snapshot 20080126
  * fix configure and automake stuff
  * gcc 4.3 fix is included
  * ufprobes fixes, improvements
  * reorganized probe condition implementation.
* Fri Jan 11 2008 tiwai@suse.de
- updated to snapshot 20080105
- fixed build of the snapshot with gcc 4.3
* Mon Nov 19 2007 tiwai@suse.de
- enable gcc-4.3 patch (yes, we use only gcc4.3 now)
- updated to snapshot 20071117
* Thu Oct 25 2007 tiwai@suse.de
- disable gcc-4.3 fix again since it breaks older gccs...
* Wed Oct 24 2007 tiwai@suse.de
- fix build with gcc 4.3
* Mon Oct 22 2007 tiwai@suse.de
- updated to snapshot 20071020:
  * bump up version 0.6
  * bunch of updates and fixes, see ChangeLog
* Tue Aug 14 2007 tiwai@suse.de
- updated to snapshot 20070811:
  * Updated -m MODNAME usage
  * Rework on line editing functions
* Mon Jul 16 2007 tiwai@suse.de
- updated to snapshot 20070714:
  * configure fix for sqlite
  * support for crash extension module
  * new enum for type column in coverage_element
* Wed Jul 04 2007 tiwai@suse.de
- updated to snapshot 20070630:
  * auto-tools fixes, sqlite3 requirement
- add sqlite-devel and glib2-devel to buildrequires
* Wed Jun 06 2007 tiwai@suse.de
- updated to snapshot 20070602:
  * fix for gcc4.3
  * minor fixes in elaborate.*
- include the snapshot date into version string
- clean up spec file
* Tue May 22 2007 tiwai@suse.de
- updated to snapshot 20070519:
  * Updated temporary handlings
  * Autoconf tweaks
  * Performance improvements with const and temporary handlings
  * Removed do_write and do_read probles, added aio_write,
  aio_read, writev and readv probes.
* Mon May 21 2007 tiwai@suse.de
- use the external elfutils packages.
* Tue Apr 24 2007 tiwai@suse.de
- updated to snapshot 20070421 and elfutils-0.127:
  * minor compile warning fixes
  * add interruptible parameter
  * improvement on documents
  * fix for debugfs and relayfs mounts
  * see ChangeLog for other changes
* Mon Mar 19 2007 tiwai@suse.de
- updated to snapshot 20070317:
  including all fix patches
* Thu Mar 08 2007 tiwai@suse.de
- fix the handling of function arguments in more generic way
  (#245310, #252311)
  added a new option -P to switch the prologue-search behavior
* Wed Mar 07 2007 tiwai@suse.de
- fix misalignment of exception table entry on s390x (#249576)
* Mon Feb 26 2007 tiwai@suse.de
- fix crash with large H value in hist_linear() (#248430)
* Fri Feb 23 2007 tiwai@suse.de
- fix mmap syscall on s390x (#248110)
* Thu Feb 15 2007 tiwai@suse.de
- fix a wrong name of store_deref definition (#245544)
* Wed Feb 14 2007 tiwai@suse.de
- fix the handling of function arguments on s390x (#245310)
* Tue Feb 06 2007 tiwai@suse.de
- update to snapshot 20070203, bugfixes including:
  * add missing sockets tapset support (#239346)
  * fix the array membership (#242481)
* Wed Jan 31 2007 tiwai@suse.de
- turn on Autoprov again to fix broken dependency.
* Tue Jan 30 2007 tiwai@suse.de
- update to snapshot 20070120 and elfutils-0.125 to fix major
  bugs (#238710):
  * fixed libdw known bugs in elfutils 0.124
  * add the missing support of tapsetr/errno.stp for s390x
  * fix conditionals in syscall tapset for s390x
  * new macros to safely read/write values from kernel pointers
  * fix the non-standard C behavior to handle NULL in an array
  * fixed support for benchmarking mode with off-line code
  * added support to allow user to use array size declarations
  * reduce number of calls to stp_module_relocate within $tvar
  functions
* Tue Jan 09 2007 tiwai@suse.de
- updated to the recent snapshot version (FATE 301670).
  * fix cache bugs
  * auto-tools fixes
  * probe registartion rework
  * allow negative numeric literals
  * bugfixes/optmizations
- elfutls 1.2.4
  removed codes with problematic license in elfutils (#232894)
* Thu Aug 24 2006 tiwai@suse.de
- update elfutils to 1.2.3, including vmlinux.debuginfo fix.
* Thu Aug 24 2006 tiwai@suse.de
- fix the auto-lookup of vmlinux debuginfo for SUSE systems
- fix the stp compilation with 2.6.18 kernel
* Wed Aug 09 2006 tiwai@suse.de
- updated to latest snapshot (version 0.5.8)
  with elfutils-1.2.2.
* Tue Apr 18 2006 mason@suse.de
- Update to latest snapshot
* Sun Apr 09 2006 mason@suse.de
- created package
